#
# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description: 
#

# NOTE: the order of those directories is important
INCLUDEPATH +=  ./inc \
                ../../inc \         # use afstorageproxy.h from actual soruces, not mocks
                ../mocks/inc \      # use afstorageclient.h from mocks, not the one exported by afstorageclient.dll
                ../../../inc \      # use afasyncrequestobserver.h exported by afstorageclient.dll
                
SOURCES +=  ./src/t_afstorageproxy.cpp
HEADERS +=  ./inc/t_afstorageproxy.h

SOURCES +=  ../../src/afstorageproxy.cpp \
            ../../s60/src/afstorageproxy_p.cpp \
            ../../s60/src/afserializer.cpp \
            ../mocks/src/afstorageclient.cpp \
            
HEADERS +=  ../../inc/afstorageproxy.h \
            ../../s60/inc/afstorageproxy_p.h \
            ../../s60/inc/afserializer.h \
            ../mocks/inc/afstorageclient.h \

include(../tsrc_common.pri)

LIBS += -lxqutils \
        -lafstoragecommon.lib \
        -lfbscli \
        -lestor \
        
symbian:!coverage:CONFIG += symbian_test
