#
# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description: 
#

include(../tsrc_common.pri)

SOURCES +=  ./src/unittest_activityserviceplugin.cpp \
            ./src/unittest_main.cpp
HEADERS +=  ./inc/unittest_activityserviceplugin.h

RESOURCES += unittest_activityserviceplugin.qrc

plugin.path = debug
plugin.files = ../../debug/activityserviceplugin.dll
plugin.CONFIG = no_link no_dependencies explicit_dependencies no_build combine ignore_no_exist no_clean
INSTALLS += plugin
build_pass:ALL_DEPS+=install_plugin

symbian {
    CONFIG += symbian_test
    coverage: CONFIG -= symbian_test
}

INCLUDEPATH += ../../../../internal/tstestutils/inc
LIBS += -ltstestutils
