######################################################################
# Unit tests that depend on HbCore
######################################################################

TEMPLATE = subdirs

SUBDIRS += unittest_hbaction
SUBDIRS += unittest_hbanchorlayout
SUBDIRS += unittest_hbcolorscheme
SUBDIRS += unittest_hbevent
SUBDIRS += unittest_hbframedrawer
SUBDIRS += unittest_hbframedrawerpool
SUBDIRS += unittest_hbgesturefilter
SUBDIRS += unittest_hbgraphicsscene
SUBDIRS += unittest_hbicon
SUBDIRS += unittest_hbiconanimationmanager
SUBDIRS += unittest_hbiconitem
SUBDIRS += unittest_hbinstance
SUBDIRS += unittest_hbfeedbackengine
SUBDIRS += unittest_hbfeedbackmanager
SUBDIRS += unittest_hbfeedbackplugin
SUBDIRS += unittest_hbfeedbackplugingroup
SUBDIRS += unittest_hbmenu
SUBDIRS += unittest_hbscrollarea
SUBDIRS += unittest_hbscrollbar
SUBDIRS += unittest_hbstackedlayout
SUBDIRS += unittest_hbstackedwidget
SUBDIRS += unittest_hbtheme
SUBDIRS += unittest_hbtoolbutton
SUBDIRS += unittest_hbtooltip
SUBDIRS += unittest_hbwidget
SUBDIRS += unittest_hbextendedlocale
SUBDIRS += unittest_hbstringutil
SUBDIRS += unittest_hbdirectorynamelocalizer
SUBDIRS += unittest_hbnumbergrouping
SUBDIRS += unittest_hbframebackground
SUBDIRS += unittest_hbsmileytheme
SUBDIRS += unittest_hblengthlimiter
SUBDIRS += unittest_hbfindfile
SUBDIRS += unittest_hbtranslator
symbian:SUBDIRS += unittest_hbindicatorsymbian

developer {
    SUBDIRS += unittest_hbactivitymanager
    SUBDIRS += unittest_hbapplication
    SUBDIRS += unittest_hbbackgrounditem
    SUBDIRS += unittest_hbbatteryindicator
    #SUBDIRS += unittest_hbcolortheme # temporarily disabled due to CI failure
    SUBDIRS += unittest_hbdecorator
    SUBDIRS += unittest_hbdeviceprofile
    SUBDIRS += unittest_hbdevicemodeinfo
    effects {
        SUBDIRS += unittest_hbeffectcontroller
        SUBDIRS += unittest_hbeffectdata
        SUBDIRS += unittest_hbeffectgroup
        SUBDIRS += unittest_hbeffectrotate
        SUBDIRS += unittest_hbeffectscale
        SUBDIRS += unittest_hbeffectxmlparser
        SUBDIRS += unittest_hbeffecttheme

        SUBDIRS += unittest_hbvgbceffect
        SUBDIRS += unittest_hbvgblureffect
        SUBDIRS += unittest_hbvgchainedeffect
        SUBDIRS += unittest_hbvgcolorizeeffect
        SUBDIRS += unittest_hbvgeffect
        SUBDIRS += unittest_hbvggloweffect
        SUBDIRS += unittest_hbvghsleffect
        SUBDIRS += unittest_hbvgoutlineeffect
        SUBDIRS += unittest_hbvgreflectioneffect
        SUBDIRS += unittest_hbvgshadoweffect
        SUBDIRS += unittest_hbvgmaskeffect
    }
    SUBDIRS += unittest_hbfont
    SUBDIRS += unittest_hbiconloader
    SUBDIRS += unittest_hbicontheme
    SUBDIRS += unittest_hbindicator
    SUBDIRS += unittest_hbindicatorgroup
    SUBDIRS += unittest_hbiniparser
    SUBDIRS += unittest_hbmenuitem
    SUBDIRS += unittest_hbmeshlayout
    SUBDIRS += unittest_hbmemorymanager
    SUBDIRS += unittest_hbdialog
    SUBDIRS += unittest_hbrichtextitem
#    SUBDIRS += unittest_hbsensororientation
    SUBDIRS += unittest_hbsharedcontainer_string
    SUBDIRS += unittest_hbsharedcontainer_variant
    SUBDIRS += unittest_hbsharedcontainer_vector
    SUBDIRS += unittest_hbsignalindicator
    SUBDIRS += unittest_hbsmartpointer
    SUBDIRS += unittest_hbsplash
    SUBDIRS += unittest_hbstyleloader
    SUBDIRS += unittest_hbtextitem
    SUBDIRS += unittest_hbmarqueeitem
    SUBDIRS += unittest_hbtextutils
    SUBDIRS += unittest_hbthemeutils
    SUBDIRS += unittest_hbtimer
    SUBDIRS += unittest_hbtitlebar
    SUBDIRS += unittest_hbtitlepane
    SUBDIRS += unittest_hbtoolbar
    SUBDIRS += unittest_hbtoolbarextension
    SUBDIRS += unittest_hbtypefacexmlparser
    SUBDIRS += unittest_hbwidgetloader
    SUBDIRS += unittest_hbtextitemprivate

    win32|linux-* {
        SUBDIRS += unittest_hbthemeclientqt
		
    }

    contains(DEFINES, HB_GESTURE_FW) {
        SUBDIRS += unittest_hbtapgesturerecognizer

        # Disabled until timer related issues solved
        #SUBDIRS += unittest_hbtapandholdgesturerecognizer
    }
}

include($${HB_SOURCE_DIR}/tsrc/hbtest.pri)
