/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#include <hbapplication.h>
#include <hbmainwindow.h>
#include "squrewidget.h"
#include "trianglewidget.h"
#include "viewmanager.h"

//#define hbapinotreleased

int main(int argc, char **argv)
{
    HbApplication app(argc, argv);

    viewmanager mainWindow(&app);
    mainWindow.show();

#ifndef hbapinotreleased
    if (app.activateReason() == Hb::ActivationReasonActivity) {
        // start-up case
        QVariant data = app.activateData();
        mainWindow.loadActivityData(data);
    }
#endif

    return app.exec();
}
