/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
/*
 * T_cahandler.h
 *
 *  Created on: 2009-09-16
 *      Author:
 */

#ifndef T_CAURLHANDLERPLUGIN_H
#define T_CAURLHANDLERPLUGIN_H

class CaUrlHandler;

#include <e32def.h>
#include <QtTest/QtTest>

/**
 *
 * Test class.
 *
 */
class T_CaUrlHandler: public QObject
{
    Q_OBJECT
public:
    T_CaUrlHandler();
private slots:

    //setup methods
    void cleanup();
    void initTestCase();

    void urlHandlerConstruction();
    void urlHandlerMultipleLoad();
    void urlHandlerMultipleLoadAndDelete();
    void urlHandlerOpenFails();
    /* uncomment and check test when browser is in TB10.1 platfrom */
    void urlHandlerRunApplication();
    void urlHandlerCreateInstance();

private:
    CaUrlHandler *iUrlHandler;
};

#endif // T_CAURLHANDLERPLUGIN_H
