# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
# Initial Contributors:
# Nokia Corporation - initial contribution.
# Contributors:
# Description:


TEMPLATE = app

CONFIG += hb mobility
MOBILITY = serviceframework
HB = hbcore

include(../../../../common.pri)
CONFIG(debug, debug|release) {
    DESTDIR = debug
} else {
    DESTDIR = release
}

CONFIG += debug_and_release \
    console
QT += testlib
	

coverage:DEFINES += COVERAGE_MEASUREMENT

DEPENDPATH += . \
    ./inc \
    ./src \
    ../../inc \
    ../../src
	
INCLUDEPATH += \
    ./inc \
	../../inc \
    $$MW_LAYER_SYSTEMINCLUDE

include(t_camificonengine.pri)
		
symbian: { 

    CONFIG += symbian_test
    coverage: CONFIG -= symbian_test
    ### get rid of localization warnings
    CONFIG -= hb
    load(hb.prf)
    CONFIG -= symbian_i18n
    ###
    TARGET.UID2 = 0x10009D8D
    TARGET.UID3 = 0x20028711
    TARGET.CAPABILITY = ALL \
        -TCB
    TARGET.EPOCSTACKSIZE = 0x14000 \
        // \
        80kB
    TARGET.EPOCHEAPSIZE = 0x20000 \
        0x1000000 \
        // \
        128kB \
        - \
        16MB
	
	LIBS += \
        -leuser \
        -lcamificon \
        -laknicon \
        -lavkon
    
    BLD_INF_RULES.prj_testexports += "./data/example.mif c:/testing/data/t_camificonengine/" \
     "./data/example.mbm c:/testing/data/t_camificonengine/"
    BLD_INF_RULES.prj_exports += "./data/example.mif c:/testing/data/t_camificonengine/" \
     "./data/example.mbm c:/testing/data/t_camificonengine/"
     
    exportArm.sources += ./data/example.mif \
        ./data/example.mbm
    exportArm.path = c:/testing/data/t_camificonengine
    DEPLOYMENT += exportArm
}
