#
# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description: 
#

TEMPLATE = app
CONFIG += testcase mobility

MOBILITY = publishsubscribe

DEPENDPATH += .\
              ./src \
              ./inc \
              ../../src \              
              ../../inc \

INCLUDEPATH +=  .\
                ./inc \
                ../../inc

symbian: {
    CONFIG += symbian_test
    coverage: CONFIG -= symbian_test
    TARGET.UID2 = 0x100039CE
    TARGET.CAPABILITY = CAP_APPLICATION AllFiles
    TARGET.EPOCSTACKSIZE = 0x14000 // 80kB
    TARGET.EPOCHEAPSIZE = 0x20000 0x1000000 // 128kB - 16MB

    LIBS += -lcone -lapgrfx -lws32 -lecom -leuser -lhbcore -lapparc -lafactivitylauncher
    
}

HEADERS +=  ./inc/*.h \
            ../../inc/*.h

SOURCES +=  ./src/*.cpp \
            ../../src/*.cpp \

include(../../../common.pri)
