/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#include "tsservicesproviderconfig.h"
#include "tstestmodel.h"
// -----------------------------------------------------------------------------
CTsServiceProviderConfig* CTsServiceProviderConfig::NewLC(TInt count)
{
    CTsServiceProviderConfig *self = new (ELeave)CTsServiceProviderConfig(count);
    CleanupStack::PushL(self);
    return self;
}

// -----------------------------------------------------------------------------
CTsServiceProviderConfig::CTsServiceProviderConfig(TInt count)
:
    mCount(count)
{
    //No implementation required
}

// -----------------------------------------------------------------------------
CTsServiceProviderConfig::~CTsServiceProviderConfig()
{
}

// -----------------------------------------------------------------------------
TInt CTsServiceProviderConfig::count() const
{
    return mCount;
}

// -----------------------------------------------------------------------------
QObject* CTsServiceProviderConfig::loadL(TInt /*offset*/)const
{
    return new TsTestModel();
}
