/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/

#ifndef TESTSERVICEMAINWINDOW_H
#define TESTSERVICEMAINWINDOW_H

#include <QObject>
#include <hbmainwindow.h>

class HbView;
class TestServiceHandler;

class TestServiceMainWindow : public HbMainWindow
{
    Q_OBJECT

public:
    TestServiceMainWindow(TestServiceHandler *handler, QWidget *parent=0);
    ~TestServiceMainWindow();
    
public slots:    
    void requestSetTitle(const QString& title);

private:
    HbView* mView;
    TestServiceHandler* mServiceHandler;
};

#endif // TESTSERVICEMAINWINDOW_H
