/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef LUNCHWIDGET_H_
#define LUNCHWIDGET_H_

#include <hbwidget.h>
#include <QGraphicsLinearLayout>
#include <QGraphicsGridLayout>
#include <HbPushButton>
#include <hblabel.h>

class HbComboBox;
class TsTaskSettings;

class lunchwidget: public HbWidget
{
    Q_OBJECT
public:
    lunchwidget(QGraphicsItem *parent = 0);
    ~lunchwidget();

private:

    QGraphicsGridLayout *mGridLayout;
    HbPushButton *mSystemToogleButton;
    HbPushButton *mNameToogleButton;  
    HbLabel* mSystemtLabel;
    HbLabel* mNameLabel;    

private:
    void toogleSystemL(bool system);
    void toogleNameL(QString name);
    
    
private slots:
    void toogleSystem();
    void toogleName();
        

private:    
};

#endif /* LUNCHWIDGET_H_*/
