/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#include <hbapplication.h>
#include <hbmainwindow.h>
#include "lunchwidget.h"

#include <EIKENV.H>
#include <APGWGNAM.H>


int main(int argc, char **argv)
{
    HbApplication app(argc, argv);
    lunchwidget* lw = new lunchwidget;
    HbMainWindow mainWindow;
    mainWindow.addView( lw );
    mainWindow.show();
    
    CEikonEnv * env = CEikonEnv::Static();
    CApaWindowGroupName* wgName = CApaWindowGroupName::NewLC(env->WsSession());
    env->SetSystem(true);
    //wgName->SetCaptionL(_L("trompka"));
    wgName->SetAppUid(TUid::Uid(0xE9340220));
    wgName->SetSystem(true);
    wgName->SetWindowGroupName(env->RootWin());
    
    CleanupStack::PopAndDestroy(wgName);
    
    return app.exec();
}
