#
# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description: 
#

include(../tsrc_common.pri)

CONFIG *= mobility
MOBILITY *= publishsubscribe 

SOURCES += ./src/unittest_applicationluncher.cpp
HEADERS += ./inc/unittest_applicationluncher.h

SOURCES +=  ../../s60/src/applicationlauncher_p.cpp \
            ../../src/aflauncher.cpp \
            
HEADERS +=  ../../s60/inc/applicationlauncher_p.h \
            ../../inc/aflauncher.h \

LIBS += -lxqutils
LIBS += -lws32.dll

symbian {
    CONFIG += symbian_test
    coverage: CONFIG -= symbian_test
    TARGET.CAPABILITY = ALL -TCB
    
    LIBS += -lapgrfx \       # for TApaTaskList
            -lapparc \       # for TApaAppInfo
            -lcone \         # for CCoeEnv
    
}

INCLUDEPATH += ../../../../internal/tstestutils/inc
LIBS += -ltstestutils
