#
# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description:
#

TEMPLATE = app

coverage:DEFINES += COVERAGE_MEASUREMENT

CONFIG += console

QT += testlib

DEPENDPATH += .\
              ./src

INCLUDEPATH += .\
               ./inc \
               ../../inc \

HEADERS   += ../inc/afstorageclient.h \
             ../inc/afasyncrequestobserver.h \
             ../inc/afasyncrequest_p.h \
             ../inc/afasyncsession.h \
             ../inc/afstorageclientimp.h \
             ../inc/afstorageclient_p.h \
             ../inc/afthumbnailrequest_p.h \

SOURCES   += ../src/afstorageclient.cpp \
             ../src/afasyncrequest_p.cpp \
             ../src/afstorageclientimp.cpp \
             ../src/afstorageclient_p.cpp \
             ../src/afthumbnailrequest_p.cpp \
             
HEADERS += ./inc/t_activityclient.h                      
SOURCES += ./src/t_activityclient.cpp
             
DEFINES += ACTIVITY_LIB

symbian: {
    CONFIG += symbian_test
    coverage: CONFIG -= symbian_test
    TARGET.UID2 = 0x100039CE
    TARGET.UID3 = 0xEfb7dc67
    TARGET.CAPABILITY = CAP_APPLICATION AllFiles
    TARGET.EPOCSTACKSIZE = 0x14000 // 80kB
    TARGET.EPOCHEAPSIZE = 0x20000 0x1000000 // 128kB - 16MB

    export.sources = ./data/image_file_activitydbclient.png
    export.path = c:/data/Images/Pictures/
    DEPLOYMENT += export
    
    LIBS      += -lxqutils \
                 -lestor \
                 -lfbscli \
                 -lafstoragecommon.lib \

}
