#
# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description: 
#
CONFIG += qtestlib console

INCLUDEPATH +=  ./ \
                ../../inc/ \
                ../../../inc/ \
                ../../../../../inc/

HEADERS += ./t_server.h \
           ./t_installer.h \
           ../../inc/afserver.h \
           

SOURCES += ./t_server.cpp \
           ./t_installer.cpp \
           ../../src/afserver.cpp \
           ../../src/afsession.cpp \
           ../../src/afstorage.cpp \
           ../../src/afstoragesynctask.cpp \
           ../../src/afstorageasynctask.cpp \
           ../../src/afbroadcasttask.cpp \
           ../../src/afdataprovidertask.cpp \
           ../../src/afobservertask.cpp \
           ../../src/afthumbnailtask.cpp \
           ../../src/afapplicationsmonitor.cpp \
           ../../src/afapplicationscollection.cpp \
           ../../src/afapplicationsstorage.cpp \
           ../../src/afapplicationsengine.cpp \
           ../../src/afdatabasecleaner.cpp \

LIBS += -lfbscli \
        -ledbms \
        -lestor \
        -lbafl \
        -ltsutils \
        -lhash \
        -lefsrv \
        -lafstoragecommon.lib \
        -lsif \
        -lscrclient \
        -lxqutils \
        -lapgrfx \

symbian {
    CONFIG += symbian_test
    TARGET.CAPABILITY = ALL -TCB
    coverage: CONFIG -= symbian_test
    
     BLD_INF_RULES.prj_testexports += "./data/winscw/sapiapp_S60_3_X_v_1_0_0.sisx c:/" \
                                      "./data/winscw/Hello.jar c:/"

    BLD_INF_RULES.prj_exports += "./data/winscw/sapiapp_S60_3_X_v_1_0_0.sisx c:/" \
                                 "./data/winscw/Hello.jar c:/"
     
    exportArmSis.sources += ./data/armv5/sapiapp_S60_3_X_v_1_0_0.sisx \
                            ./data/winscw/Hello.jar
	exportArmSis.path = c:/
	DEPLOYMENT += exportArmSis
}
