/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef VIEWMANAGER_H_
#define VIEWMANAGER_H_

#include <hbmainwindow.h>
#include <hbview.h>
#include <QVariant>
#include <afactivities_global.h>

class basewidget;
class QFile;
class QTextStream;

class viewmanager : public HbMainWindow
{
    Q_OBJECT
public:
    viewmanager();
    virtual ~viewmanager();

private:
    basewidget* mSaveDelWidget; 
    HbView* mSaveDelView;
    basewidget* mDataWidget; 
    HbView* mDataView;
    basewidget* mThumbWidget; 
    HbView* mThumbView;
    QFile* mFile;
    QTextStream* mStream;

private slots:
    void toSaveDel();
    void toData();
    void toThumb();

public slots:

    
signals:


public:


private:
    QObject* mActivityStorage;
    QObject* mActivityManager;
};

#endif /* VIEWMANAGER_H_ */
