/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
/*
 * T_cahandler.h
 *
 *  Created on: 2009-09-16
 *      Author:
 */

#ifndef T_CAAPPHANDLERPLUGIN_H
#define T_CAAPPHANDLERPLUGIN_H

class CaAppHandler;

#include <e32base.h>
#include <e32def.h>
#include <QtTest/QtTest>

//------------------------------------------------------------------------------


/**
 *
 * Test class.
 *
 */
class T_CaHandler: public QObject
{
    Q_OBJECT
public:
    T_CaHandler();
private slots:

    //setup methods
    void initTestCase();
    void cleanup();

    void appHandlerConstruction();
    void appHandlerMultipleLoad();
    void appHandlerMultipleLoadAndDelete();
    void appHandlerOpenFails();
    void appHandlerRemoveFails();
    void appHandlerClose();
    void appHandlerRunApplication();

    void appHandlerRemoveApplication();
    void appHandlerRemoveJavaApplication();

    void testCCaTaskList();
    void appHandlerCreateInstance();
private:
    TBool javaAppInstalled(TInt32 aUid);

private:
    CaAppHandler *iAppHandler;
};

#endif // T_CAAPPHANDLERPLUGIN_H
