/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/
/*
 * testconsts.h
 *
 *  Created on: 2009-08-24
 *
 */

#ifndef TESTCONSTS_H_
#define TESTCONSTS_H_

//  CONSTANTS

//test utils

_LIT(KTestDbSource, "C:\\testing\\data\\t_caappscanner\\castorage.db");
_LIT(KTestDbDest, "C:\\castorage.db");

_LIT(KTestMmcHistSource, "C:\\testing\\data\\t_caappscanner\\mmchistory");
_LIT(KTestMmcHistDest, "C:\\private\\2002870E\\mmchistory");
_LIT8( KSisxMimeType, "x-epoc/x-sisx-app" );


//app scanner
const TInt noteApp = 0xA0000230;
const TInt notInstalledUid = 0xA0000232;// uid of not installed app
const TInt installedUid = 0xE6BC1167; // installed app
const TInt systemApp = 0x20022EF9;

_LIT( KMmcIdValue, "00000001" );

_LIT( KSapiAppFileName, "c:\\sys\\bin\\sapiapp.exe");


_LIT( KSapiPackageFileName, "c:\\testing\\data\\t_caappscanner\\installs\\sapiapp_S60_3_X_v_1_0_0.sisx" );

_LIT( KWRTMiniViewAppId, "940bed665487f773b39481523f200e54cd589764" );
_LIT( KWRTAppId, "aaf1aaa161de8b76dc2f00a7884c10b6def6b2b1" );
_LIT( KWrtMiniViewAppName, "AccuWeather-W3C" );
_LIT( KWrtAppName, "UnsignedSmokeTestWGT" );
_LIT(KTennis,"SpruceTennis");
_LIT(KDog,"SheepdogMIDlet");
_LIT(KHelloWorld,"HelloWorld");
_LIT(KPhotoBrowser,"photobrowser");
_LIT(KPhotoSuiteLauncher,"PhotoSuiteLauncher");
_LIT(KCalendar, "Calendar");
_LIT( KJavaAppName, "HelloWorld" );

#endif /* TESTCONSTS_H_ */
