/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
/*
 * testconsts.h
 *
 *  Created on: 2009-08-24
 *
 */

#ifndef TESTCONSTS_H_
#define TESTCONSTS_H_

//  CONSTANTS

//test utils

_LIT(KTestDbSource, "C:\\testing\\data\\t_causifscanner\\castorage.db");
_LIT(KTestDbDest, "C:\\castorage.db");

_LIT( KSapiPackageFileName,
    "c:\\testing\\data\\t_causifscanner\\installs\\sapiapp_S60_3_X_v_1_0_0.sisx" );
_LIT( KSapiAppFileName,
    "c:\\sys\\bin\\sapiapp.exe" );
_LIT8( KSisxMimeType, "x-epoc/x-sisx-app" );

//usif scanner
const TInt noteApp = 0xA0000230;
const TInt notInstalledUid = 0xA0000232;// uid of not installed app
const TInt installedUid = 0xE6BC1167; // installed app
const TInt systemApp = 0x20022EF9;


_LIT(KTennis,"SpruceTennis");
_LIT(KDog,"SheepdogMIDlet");
_LIT(KHelloWorld,"HelloWorld");
_LIT(KPhotoBrowser,"photobrowser");
_LIT(KPhotoSuiteLauncher,"PhotoSuiteLauncher");
_LIT(KCalendar, "Calendar");
_LIT(KSapiApp, "sapiapp");

#endif /* TESTCONSTS_H_ */
