/*
* Copyright (c) 2004 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/


#ifndef __T_casrvUtils_H__
#define __T_casrvUtils_H__
class CTestUtils;
class CCaStorageProxy;
class CCaSrvEngUtils;
class CCaSrvAppScanner;
#include <QtTest/QtTest>
#include <e32def.h>

class T_casrvUtils: public QObject
{
    Q_OBJECT
private slots:    // New methods

    //setup methods
    void initTestCase();
    void cleanupTestCase();
    void init();
    void cleanup();

    //tests
    void testNewL();
    void testGetAppUidL();
    void testGetApaAppInfoL();
    void testGetAppInfoL();
    void testIsNativeL();
private:    // Data

    CTestUtils *iTestUtils;

    CCaStorageProxy *iStorage;

    CCaSrvEngUtils *iSrvEngUtils;
};

#endif      //  __T_casrvUtils_H__

// End of file
