#
# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description:
#

TEMPLATE = app

CONFIG(debug, debug|release) {
  DESTDIR = debug
}
else {
  DESTDIR = release
}

CONFIG(debug, debug|release):DESTDIR = debug
else:DESTDIR = release

CONFIG += debug_and_release \
          console

CONFIG += hb

CONFIG += qtestlib

QT += xml testlib


DEFINES += HOMESCREEN_TEST \
           HSWIDGETMODEL_TEST

DEPENDPATH += . \
              ./inc \
              ./src \
              ../../inc \
              ../../src

INCLUDEPATH += . \
               ./inc \
               ../../inc \
               ../../../homescreensrv_plat/hswidgetmodel_api \
               ../../../inc \
               ../../../hscontentmodel/inc \
               ../../../hsutils/inc/

include(t_hswidgetmodel.pri)

symbian: {
    CONFIG += symbian_test
    CONFIG -= hb
    load(hb.prf)
    CONFIG -= symbian_i18n

    TARGET.UID3 = 0x20022F52
    TARGET.CAPABILITY = CAP_APPLICATION AllFiles

    export.sources = *.manifest
    export.path = /hsresources/testresources/

    exportBinaries.sources = testwidgetprovider.dll \

    testplugin.pkg_postrules = "\"../testwidgetprovider/qmakepluginstubs/testwidgetprovider.qtplugin"\""  -  ""\"!:\hsresources\testresources\plugins\widgetproviders\testwidgetprovider.qtplugin"\"
    testplugin.pkg_postrules += "\"../testwidgetprovider/resource/testwidgetprovider.manifest"\""  -  ""\"!:\hsresources\testresources\plugins\widgetproviders\testwidgetprovider.manifest"\"

    DEPLOYMENT += export exportBinaries testplugin

}

win32:include(installs_win32.pri)
