/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#include "testwidgetprovider.h"






// ---------------------------------------------------------------------------
// ---------------------------------------------------------------------------
//
TestWidgetProvider::TestWidgetProvider()
{
    mTestWidgetToken.mLibrary = QString("testwidgetprovider.dll");
    mTestWidgetToken.mUri = QString("homescreen.nokia.com/widget/testwidget");
    mTestWidgetToken.mTitle = QString("TestWidget");
    mTestWidgetToken.mIconUri = QString("test.png");
}

// ---------------------------------------------------------------------------
// ---------------------------------------------------------------------------
//
TestWidgetProvider::~TestWidgetProvider()
{

}

// ---------------------------------------------------------------------------
// ---------------------------------------------------------------------------
//
QList<HsWidgetToken> TestWidgetProvider::widgets()
{
    return QList<HsWidgetToken>() << mTestWidgetToken;
}

// ---------------------------------------------------------------------------
// ---------------------------------------------------------------------------
//
HsWidget* TestWidgetProvider::createWidget(const HsWidgetToken& aToken)
{
    HsWidget* widget = 0;

    if(aToken.mUri == mTestWidgetToken.mUri)
    {
        widget =  new TestWidget();
    }

    return widget;
}


Q_EXPORT_PLUGIN2(testwidgetprovider, TestWidgetProvider)


