/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/

#ifndef STARTERWIDGET_H_
#define STARTERWIDGET_H_

#include <QProcess>
#include <hbwidget.h>
#include <QGraphicsLinearLayout>
#include <QGraphicsGridLayout>
#include <HbPushButton>
#include <hblabel.h>
#include <e32base.h>
#include <f32file.h>
#include <APGTASK.H>
class QTimer;

class starterwidget: public HbWidget
	{
	Q_OBJECT
public:
	starterwidget( QGraphicsItem* parent = 0 );
	~starterwidget();
private:	
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
    QGraphicsGridLayout* mGridLayout;    
    
    HbPushButton* mStart1;
    HbPushButton* mStart2;
    
        
    	
private slots:
	void startopen1();
	void acivate1();
	void startopen2();
	void acivate2();
	

	
private:

	QString mMessage;
	QTimer* mTimer1;	
	QTimer* mTimer2;	
	};

#endif /* STARTERWIDGET_H_*/
